net.sourceforge.pmd.util.filter

## Interface Filter<T>

- Type Parameters:
    `T` - The underlying type on which the filter applies.
  All Known Implementing Classes:
    AbstractCompoundFilter, AbstractDelegateFilter, AndFilter, DirectoryFilter, FileExtensionFilter, NotFilter, OrFilter, RegexStringFilter

      public interface Filter<T>

  A Filter interface, used for filtering arbitrary objects.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `filter(T obj)`

- - ### Method Detail

    - #### filter

          boolean filter(T obj)

Copyright © 2002-2013 InfoEther. All Rights Reserved.